Bug Hunting Session
Bug 30920 - Closing License (WRITER-) document closes LibO [summary in comment 36]
Summary: Closing License (WRITER-) document closes LibO [summary in comment 36]
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError, needsDevEval
: 31822 32269 43710 49536 118743 (view as bug list)
Depends on:
Blocks: Help-Menu
  Show dependency treegraph
 
Reported: 2010-10-16 01:57 UTC by André Schnabel
Modified: 2019-08-05 20:45 UTC (History)
17 users (show)

See Also:
Crash report or crash signature:


Attachments
Error messages (679.33 KB, application/vnd.oasis.opendocument.graphics)
2012-01-31 06:42 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Schnabel 2010-10-16 01:57:58 UTC
When you start LibO and choose Help - Licensing Information , a new window is opened, showing the licensing info.

If this window is closed, Libreoffice is closed completely.

Expected behaviour is that only the license document gets closed.


This seems to be caused by the still visible StartCenter which has no document open.
Comment 1 Muthu 2010-10-16 10:19:11 UTC
One for Fridrich?


PS: Reproducible when there are no documents open, i.e.
Comment 2 Takeshi Abe 2010-11-19 20:06:17 UTC
Reproduced with LibreOffice Beta3.
Comment 3 Thomas Hackert 2010-11-21 20:02:42 UTC
Hello @ll,
I can confirm this issue with LO beta3 (OOO330m12, Build:2) and the Germanophone langpack under Debian SID/Experimental AMD64 with sun-java6-jdk 6.22-1 and KDE 4.4.5 ... :( This happens only, if you open the LICENSE.odt directly from the StartCenter, but not, if you have one or more other documents open.
HTH
Thomas.
Comment 4 Rainer Bielefeld Retired 2010-11-21 23:22:49 UTC
(In reply to comment #0)
> This seems to be caused by the still visible StartCenter which has no document
> open.

... and that you do not see the "close only last document without terminating LibO"-X for closing that Window.
It seems that something with the way how the license document will be opened (write protected) is wrong.
Everything works fine if you open "LICENSE.odt" from LibO Recent Documents or WIN Recent Documents as the only LibO document.
Comment 5 Rainer Bielefeld Retired 2010-11-22 09:55:06 UTC
*** Bug 31822 has been marked as a duplicate of this bug. ***
Comment 6 HeinF 2010-11-22 12:43:12 UTC
(In reply to comment #3)

> I can confirm this issue with LO beta3 (OOO330m12, Build:2) and the
> Germanophone langpack under openSuse 11.3 (32bit) with KDE 4.4.4 and java 1.6.0 openjdk

Hein
Comment 7 Thorsten Behrens (CIB) 2010-12-10 01:39:06 UTC
*** Bug 32269 has been marked as a duplicate of this bug. ***
Comment 8 pierre-yves samyn 2011-01-22 22:29:00 UTC
Hello 

I can confirm this issue with XP SP3 LibO OOO330m19(Build:6) 3.3.0.4

Another unexpected operation:

To avoid completely exit the application we can switch to "edit" the document
(by clicking the button ad hoc)

The taskbar's system shows three "instances": the center mode, the read-only license, the license editable as a new document.

Close the document "read-only license" and the document "editable"

we are left with two starting centers ...

Best regards
Comment 9 tester8 2011-06-13 02:33:54 UTC
Reproduced with
Ubuntu 10.04.2 x86
LO 3.4
Comment 10 Rob Snelders 2012-01-21 07:17:59 UTC
Bug 43710 is partly the same. Can you look at that one also?
Comment 11 Frédéric Buclin 2012-01-21 07:22:22 UTC
*** Bug 43710 has been marked as a duplicate of this bug. ***
Comment 12 Harald Koester 2012-01-31 06:42:36 UTC
Created attachment 56389 [details]
Error messages
Comment 13 Harald Koester 2012-01-31 06:44:14 UTC
To my opinion LO does not close when closing "credits.odt", but it crashes. I got 2 error messages, see attachment. They do not appear always, and they do not appear together. 

I also observed in the task manager, that the process soffice.bin sometimes is still active after closing/crashing of LO for a longer period of time. When I tried to start LO again in this period, it does not work and sometimes I also got an error message.

Win XP, LO-Vers. 3.4.5
Comment 14 Julien Nabet 2012-05-11 22:31:52 UTC
On pc Debian x86-64, with 3.5 branch updated today, I don't reproduce this behaviour.

Do you still reproduce this with 3.5.3 ?
Have you tested with a brand new LO profile ? (see http://wiki.documentfoundation.org/UserProfile)
Comment 15 Pedro 2012-05-12 00:21:35 UTC
> Do you still reproduce this with 3.5.3 ?
> Have you tested with a brand new LO profile ? (see
> http://wiki.documentfoundation.org/UserProfile)

Yes and Yes. Still closes LibreOffice 3.5.3.2 under Windows XP Pro x86 SP3

If someone can test under Linux x86 and Mac, then OS could be chnged to Windows (All)
Comment 16 fredbyarve 2012-05-12 00:56:30 UTC
Hi,
Yes it still crash under linux:
- Ubuntu 10.04 (64) 
- LibreOffice 3.5.3.2 , Version ID : 350m1(Build:2).
- new .config/libroffice

But this crash occurs only when I open, then close, the credit page from the main LibO windows (startcenter ?) 
This crash does not occur from all the other windows (calc, writer, ...)
Comment 17 Rainer Bielefeld Retired 2012-05-12 04:40:47 UTC
Still [Reproducible] when Open License document via Start Center - > Help - License info' with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 9980e69]" (tinderbox: Win-x86@6-fast, pull time 2012-05-10 09:36:56)
Comment 18 Julien Nabet 2012-05-12 04:54:40 UTC
From startcenter, I reproduced the problem on pc Debian x86-64 master.
However, trying to debug with gdb, I haven't seen a crash, just a simple exit.
Comment 19 Roman Eisele 2012-05-12 06:39:56 UTC
Not reproducible on MacOS X, but there is similar (minor) issue:

the StartCenter is closed, too, when the Licence window is closed. I can open it again from the 'File' menu, but closing the StartCenter is at least unnecessary and maybe annoying.

(LibreOffice 3.5.3.2 (Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80), German langpack installed, on MacOS X 10.6.8 German UI. Steps to reproduce:
* Start LibreOffice
  -- StartCenter appears
* Select 'Help > Licensing Information'
  -- a dialog window appears
* Click 'Show license'
  -- the window with the r/o License.odt appears,
     StartCenter is still visible in the background
* Click close button
  -- License window AND StartCenter disappear.
)
Comment 20 Rainer Bielefeld Retired 2012-05-19 04:35:28 UTC
*** Bug 49536 has been marked as a duplicate of this bug. ***
Comment 21 pierre-yves samyn 2012-07-06 00:53:59 UTC
(In reply to comment #8)
> Hello 
> 
> I can confirm this issue with XP SP3 LibO OOO330m19(Build:6) 3.3.0.4
> 
> Another unexpected operation:
> 
> To avoid completely exit the application we can switch to "edit" the document
> (by clicking the button ad hoc)
> 
> The taskbar's system shows three "instances": the center mode, the read-only
> license, the license editable as a new document.
> 
> Close the document "read-only license" and the document "editable"
> 
> we are left with two starting centers ...
> 
> Best regards

Still occurs with Version 3.6.0.0.beta3 (Build ID: 3e2b862) & Windows 7 64bits
(both : closing and "strange" workaround)
Comment 22 Julien Nabet 2012-07-14 17:15:44 UTC
On pc Debian x86-64, with master sources (future 3.7) updated today, I reproduce the problem.
To be precise, here what I did :
- rm ~/.config/libreoffice
- cd <libo_sources>/install/program
- . ./ooenv
- ./soffice.bin (first call to recreate the profile)
=> console logs but ./soffice.bin doesn't start
- ./soffice.bin (to really launch LO, I don't know if it's normal)  
=> startcenter open
- Help Menu / License Information
=> pop appears which show license + 2 buttons "Show license" (for more details) and "Close"

If i click "Close" button, just the popup closes, so I come back to startcenter

If i click "Show license", an odt file is opened on read-only mode.
Then if i click the top right cross, it closes the file + startcenter

I tested on gdb, i haven't seen any crash.
Comment 23 Harald Koester 2012-12-07 09:43:53 UTC
Function checked again: LO still closes if license file is closed with Ver. 3.6.4. Also behaviour according comment 8 still exists.
Comment 24 Thomas Hackert 2013-06-05 06:39:36 UTC
Hello André, *,
still reproducible w/ LO Version: 4.1.0.0.beta1+
Build ID: 5597fb6e6a8abc57378275c04de5bda29c5b020
TinderBox: Linux-x86_64@31-Release-Configuration-RHEL5-Baseline, Branch:libreoffice-4-1, (but also w/ LO Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539) ) under Debian Testing AMD64 ... :( But - contrary to comment #8 - you get a second StartCenter window with "LibreOffice <2>" in the title bar without any menu now ... :( If you close that window, LO closes completely ... :(
HTH
Thomas.
Comment 25 Jean-Baptiste Faure 2013-06-16 11:25:17 UTC
The problem is that the licence.odt file is opened in read-only mode without the menu bar. So you do not have the small close icon on the right end of this bar.
As a partial workaround you can close the file by pressing ctrl+W key but that does not restore the menubar.

Best regards. JBF
Comment 26 Thomas Hackert 2013-06-16 14:02:31 UTC
Hello Jean-Baptiste, *,

(In reply to comment #25)
> The problem is that the licence.odt file is opened in read-only mode without
> the menu bar. So you do not have the small close icon on the right end of
> this bar.

O.K.

> As a partial workaround you can close the file by pressing ctrl+W key but
> that does not restore the menubar.

But there are still /two/ StartCenter windows open after that: One without menu bar, one with menu bar. If you close the "LibreOffice <2>" titled one, LO quits (and not as expected, that only this window closes) ... :(

Thanks for your answer
Thomas.
Comment 27 QA Administrators 2014-10-23 17:32:03 UTC Comment hidden (obsolete)
Comment 28 Pedro 2014-10-23 21:02:42 UTC
(In reply to QA Administrators from comment #27)

> 2) If it is present please leave a comment telling us what version of
> LibreOffice and your operating system.

The bug still occurs in LO 4.3.2.2 under Windows XP Pro x86 SP3 and Win 7 Pro x64 SP1
Comment 29 Joel Madero 2015-03-21 02:18:52 UTC
I am updating priority of this - there is no reason from what I can see that this would be major (that you would lose data). I'm not even convinced it's a crash - it's just a license that opens up in a document, you close the license, the document goes away. This is *almost* an enhancement. 

Marking as:
Minor - not going to prevent high quality work, might slow you down a tiny bit I suppose.
Low - default seems appropriate.


If someone can explain how this would result in loss of data or even explain how it is a crash then we can reconsider. From my understanding this is just asking for the start center to stay open behind the read only license document which is an enhancement request probably . . . it's a close call though.

Either way - probably an easy hack so marking as a candidate.
Comment 30 Adolfo Jayme 2015-03-21 12:16:48 UTC
Nah, this bug is not reproducible nowadays.
Comment 31 Pedro 2015-03-21 12:30:19 UTC
(In reply to Adolfo Jayme from comment #30)
> Nah, this bug is not reproducible nowadays.

Using which version exactly is it NOT reproducible? Under which OS?

It still closes LibreOffice 4.4.1.2 on Windows 7 x64 so it might Work for you but it is NOT Resolved
Comment 32 Joel Madero 2015-03-21 15:26:03 UTC
I agree - it happens on my system also.

Ubuntu 14.10 x64
LibreOffice 4.4.1.2 release
Comment 33 Adolfo Jayme 2015-03-21 22:47:48 UTC
Funnily enough, I am not able to reproduce it in LibreOffice 4.4.2.1 under Windows and Ubuntu. I tried both closing with Ctrl+W and by clicking the Close button in the window title bar, and with a document opened and without.
Comment 34 Pedro 2015-03-23 12:36:44 UTC
(In reply to Adolfo Jayme from comment #33)
> Funnily enough, I am not able to reproduce it in LibreOffice 4.4.2.1 under
> Windows and Ubuntu. I tried both closing with Ctrl+W and by clicking the
> Close button in the window title bar, and with a document opened and without.

You are indeed correct that the description of the bug is outdated. The Credits option doesn't open any document since branch 3.6 and therefore doesn't cause this problem.

Since branch 3.6 this only applies to the License Information.

I modified the title of the bug to reflect this change.
Comment 35 Matthew Francis 2015-04-06 04:43:33 UTC
Not inherited from OOo, and not a feature which worked previously (a regression), but an issue introduced with the initial implementation

-> Adding Whiteboard: implementationError
Comment 36 tommy27 2015-08-24 17:42:19 UTC
still reproducible under Win8.1 x64 using recent LibO 5.1.0.0 alpha

STEPS TO REPRODUCE
- start LibO
- click Help/Licence Information/Show Licence
- click the "X" of the licence file

CURRENT BEHAVIOUR
- LibO start center closes together with the licence document

EXPECTED BEHAVIOUR
- licence document should close but start center should stay open
Comment 37 Christian Pietzsch 2015-08-31 17:46:13 UTC
In LO 5.00.5 on Ubuntu 15.04 the doesn't occur.

Version: 5.0.0.5
Build ID: 00m0(Build:5)
Locale: de-DE (de_DE.UTF-8)
Comment 38 Harald Koester 2015-09-03 12:48:19 UTC
Bug still reproducable with version 5.0.0.5 (32-Bit) under Win7 (32 bit) and with version 5.0.1.2 (64 Bit) under Win7 (64 bit).
Comment 39 Robinson Tryon (qubit) 2015-12-10 10:24:53 UTC Comment hidden (obsolete)
Comment 40 Thomas Lendo 2017-05-31 22:22:26 UTC
Bug still present in Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 41 Jean-Baptiste Faure 2018-07-22 11:24:20 UTC
*** Bug 118743 has been marked as a duplicate of this bug. ***
Comment 42 QA Administrators 2019-07-30 03:14:37 UTC Comment hidden (obsolete)
Comment 43 Jean-Baptiste Faure 2019-08-05 20:45:17 UTC
Bug still reproducible with Version: 6.3.1.0.0+
Build ID: 77d065767aa7054b59fae99ff00ac37bf7ce33f3
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Ubuntu_18.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); UI-Language: fr-FR
Calc: threaded

Best regards. JBF